<template>
  <div id="UEditor-page">
    <vue-ueditor-wrap :config="myConfig" v-model="text"></vue-ueditor-wrap>
  </div>
</template>

<script>
  import { createApp } from 'vue';
  import VueUeditorWrap from 'vue-ueditor-wrap'
  export default {
    name: "UEditor",
    components: {
      VueUeditorWrap
    },
    props: {
      content:{},
    },
    data() {
      return {
        text:"",
        myConfig: {
          // 编辑器不自动被内容撑高
          autoHeightEnabled: false,
          // 初始容器高度
          initialFrameHeight: 430,
          // 初始容器宽度
          initialFrameWidth: 1100,
          // 上传文件接口（这个地址是我为了方便各位体验文件上传功能搭建的临时接口，请勿在生产环境使用！！！）
          // serverUrl: '//ueditor.szcloudplus.com/cos',
          // serverUrl: '//192.168.1.8:9300/exec',
          serverUrl: '//'+this.judgmentNetworkReturnAddress()+'/base/exec',
          // UEditor 资源文件的存放路径，如果你使用的是 vue-cli 生成的项目，通常不需要设置该选项，vue-ueditor-wrap 会自动处理常见的情况，如果需要特殊配置，参考下方的常见问题2
          UEDITOR_HOME_URL: './UEditor/'
        },
      }
    },
    created(){
      console.log("content",this.content)
      this.text = this.content;
    },
    mounted(){

    },
    methods:{

    },
    beforeDestroy(){

    },
  }
</script>

<style scoped lang="scss">
  #UEditor-page{

  }
</style>
